PHP 8.1 support | WordPress.org

Hi,

it looks like the plugin doesn’t support PHP 8.1 at the moment.

Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 131072 bytes) in /Users/…/plugins/wp-sentry-integration/build/vendor/clue/stream-filter/src/functions.php on line 242

The reason is the package “clue/stream-filter” (which is a dependency of “php-http/curl-client” via “php-http/message”). This package should be updated to the version ^1.6:

1.6.0 (2022-02-21)

Feature: Support PHP 8.1 release.

$ composer why clue/stream-filter
php-http/message 1.13.0 requires clue/stream-filter (^1.5)

Is it possible to fix this in the next days? 🙂

Thx!

 

This site will teach you how to build a WordPress website for beginners. We will cover everything from installing WordPress to adding pages, posts, and images to your site. You will learn how to customize your site with themes and plugins, as well as how to market your site online.

Buy WordPress Transfer